# -*- encoding: utf-8 -*-
# stub: pdk 3.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "pdk".freeze
  s.version = "3.4.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Puppet, Inc.".freeze]
  s.bindir = "exe".freeze
  s.date = "2024-12-03"
  s.description = "A CLI to facilitate easy, unified development workflows for Puppet modules.".freeze
  s.email = ["pdk-maintainers@puppet.com".freeze]
  s.executables = ["pdk".freeze]
  s.files = ["exe/pdk".freeze]
  s.homepage = "https://github.com/puppetlabs/pdk".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.1.6".freeze
  s.summary = "A key part of the Puppet Development Kit, the shortest path to better modules".freeze

  s.installed_by_version = "4.0.10".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<ffi>.freeze, [">= 1.15.5".freeze, "< 2.0.0".freeze])
  s.add_runtime_dependency(%q<minitar>.freeze, [">= 0.8".freeze])
  s.add_runtime_dependency(%q<bundler>.freeze, [">= 2.1.0".freeze])
  s.add_runtime_dependency(%q<cri>.freeze, ["~> 2.15.11".freeze])
  s.add_runtime_dependency(%q<childprocess>.freeze, ["~> 5.0".freeze])
  s.add_runtime_dependency(%q<hitimes>.freeze, [">= 2.0.0".freeze])
  s.add_runtime_dependency(%q<tty-prompt>.freeze, ["~> 0.23".freeze])
  s.add_runtime_dependency(%q<tty-spinner>.freeze, ["~> 0.9".freeze])
  s.add_runtime_dependency(%q<tty-which>.freeze, ["~> 0.5".freeze])
  s.add_runtime_dependency(%q<json-schema>.freeze, ["~> 6.0".freeze])
  s.add_runtime_dependency(%q<puppet-modulebuilder>.freeze, ["~> 2.0".freeze])
  s.add_runtime_dependency(%q<deep_merge>.freeze, ["~> 1.2.2".freeze])
  s.add_runtime_dependency(%q<diff-lcs>.freeze, [">= 1.5.0".freeze])
  s.add_runtime_dependency(%q<pathspec>.freeze, ["~> 2.1".freeze])
  s.add_runtime_dependency(%q<puppet_forge>.freeze, ["~> 6.0".freeze])
end
